package com.hfkj.sysenum;

import lombok.Getter;

/**
 * @className: UserIntegralRecordOpUserTypeEnum
 * @author: HuRui
 * @date: 2024/5/20
 **/
@Getter
public enum UserIntegralRecordOpUserTypeEnum {

    /**
     * 系统
     */
    type1(1, "系统"),

    /**
     * 支出
     */
    type2(2, "管理员"),
    /**
     * 用户
     */
    type3(3, "用户"),
    ;

    private int code;

    private String name;


    UserIntegralRecordOpUserTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
}
